#!/bin/bash

source /etc/sysconfig/bier/base.conf 
source /etc/sysconfig/bier/cdidx.conf
cat deps.txt | awk '{ print $1 }' > wish.txt
case "$1" in
	-verbose)
		$BIBODIR/share/bin/depsort | grep misses | awk '{print $4}' | cut -d\) -f-1
		;;
	-missing)
		ls $PKG_TREE | rev | cut -d- -f2- | rev | grep -v `basename $OUTDIR | cut -d- -f1` | grep -v `basename $LICENSE_DB` >> wish.txt
		ls $BIBODIR/bibo/builds/sys-core | rev | cut -d- -f2- | rev >> wish.txt
		sort wish.txt | uniq -u 
		;;
	-missing2)
		for file in `find $BIBODIR/bibo/builds -type f | grep -v stage1 | grep -v sys-core`
		do
			basename $file | rev | cut -d- -f2- | rev >> wish.txt
		done
		sort wish.txt | uniq -u
		;;
	*)
		$BIBODIR/share/bin/depsort | grep -q "unresolved"
		if [ $? -eq 0 ]
		then
			echo "The dependency list has errors."
		else
			echo "The dependency list is correct."
		fi
		;;
esac
rm -f wish.txt result.txt 
